Kerbal Space Program - Bug #23056

Docking with a craft with robotics parts after approaching it during time warp makes the robotics
parts appear unmotorized
Expansion: Breaking Ground

Description

I've found that when | dock with my space station, which has a robotic arm, that right after the docking has succeeded and the two
crafts are now one craft, the robotic hinges all start flopping around freely as if they're unmotorized. Tweaking a hinge's target angle
or extension in its PAW will cause the hinge to quickly snap back to its target position, but you have to do it for every hinge
separately to restore the correct state of your craft.

History

#1 - 07/10/2019 03:31 PM - Robert.Keech
- Status changed from New to Updated
- % Done changed from 0 to 10

Cannot reproduce, could you please provide your savegame in which it is occuring

#2 - 07/11/2019 04:42 PM - arctangent
- File bug.sfs added

I've experienced this issue. Docking doesn't actually cause it. It happens when a craft with robotic parts comes into physics range during time warp. It
just isn't obvious until you apply a force to the craft e.g. by docking with it. Here is a save file. "Destiny Orbiter" is approaching "Destiny" from just
outside physics range. Try approaching with and without time warp, then either dock or switch to Destiny and move the stick to turn the reaction
wheels, and watch what happens to the robotics.

#3 - 07/08/2020 12:29 PM - arctangent
- Status changed from Updated to Confirmed

- Platform Linux added

Still an issue in KSP 1.10.0/BG 1.5.0

| double checked to confirm what exactly triggers the issue. It happens when a craft with robotic parts comes into physics range during time warp. If
you enter time warp while the craft is already in range and leave while it's still in range, the issue doesn't occur. If you warp past the craft and then
come back into physics range without time warp, it doesn't occur. If you enter time warp while in range and on a trajectory to pass out of range and
intercept again, then warp until you're back in range, the issue does occur.

The robotics parts are then free to "flop around” but they don't actually begin to do so until a force is applied to the craft - whether by docking,
colliding, manoeuvring, or whatever.

#4 - 08/03/2020 09:57 PM - arctangent
- Subject changed from Docking with a craft with robotics parts makes the robotics parts appear unmotorized to Docking with a craft with robotics parts

after approaching it during time warp makes the robotics parts appear unmotorized

Files

bug.sfs 3.9 MB 07/11/2019 arctangent
